## gegl 0.4.24

=== debian/changelog ===
gegl (0.4.24-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper-compat=12.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 15 Jun 2020 12:18:41 -0700

gegl (0.4.24-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Bump minimum babl to 0.1.78
  * debian/libgegl-0.4-0.symbols: Update
  * Update debian/watch
  * Drop all patches: applied in new release

  [ Simon McVittie ]
  * Remove unused build-dependency on GTK 2 (Closes: #959088)
  * Move to debhelper compat level 13
  * d/rules: Remove explicit -Wl,--as-needed linker flag

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 13 Jun 2020 12:57:47 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gegl
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-gir,
               dh-sequence-gnome,
               graphviz,
               gtk-doc-tools (>= 1.0),
               libavcodec-dev,
               libavformat-dev,
               libbabl-dev (>= 0.1.78),
               libblas-dev,
               libcairo2-dev (>= 0.12.2),
               libgdk-pixbuf2.0-dev (>= 2.18.0),
               libgexiv2-dev,
               libgirepository1.0-dev (>= 1.32.0),
               libglib2.0-dev (>= 2.28.0),
               libjpeg-dev,
               libjson-glib-dev,
               liblensfun-dev,
               libopenexr-dev (>= 1.6.1),
               libopenraw-dev (>= 0.0.5),
               libpango1.0-dev,
               libpng-dev (>= 1.6.0),
               libpoppler-glib-dev (>= 0.71.0),
               libraw-dev,
               librsvg2-dev (>= 2.40.6),
               libsdl2-dev (>= 1.2.0),
               libspiro-dev (>= 1:20190731-2~),
               libsuitesparse-dev,
               libswscale-dev,
               libtiff5-dev,
               libv4l-dev [!hurd-any],
               libwebp-dev (>= 0.5.0),
               meson (>= 0.50.0),
               pkg-config,
               valac (>= 0.20)
Build-Depends-Indep: libglib2.0-doc <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gegl
Vcs-Git: https://salsa.debian.org/gnome-team/gegl.git
Homepage: http://gegl.org/

Package: gegl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Generic Graphics Library Test Program
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGL's original design was made to scratch GIMP's itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains a bunch of test programs.

Package: libgegl-0.4-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgegl-common (>= ${source:Version})
Breaks: libgegl-dev (<< 0.3.0-4)
Replaces: libgegl-dev (<< 0.3.0-4)
Description: Generic Graphics Library
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGL's original design was made to scratch GIMP's itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.

Package: libgegl-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Generic Graphics Library - common files
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGL's original design was made to scratch GIMP's itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains common data files and translations.

Package: libgegl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gegl-0.4 (= ${binary:Version}),
         libbabl-dev (>= 0.1.78),
         libgegl-0.4-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.16.1),
         libjson-glib-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libgegl-0.0-dev
Replaces: libgegl-0.0-dev
Provides: libgegl-0.0-dev
Description: Generic Graphics Library (development files)
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGL's original design was made to scratch GIMP's itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains the development files.

Package: libgegl-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libgegl-0.0-doc
Replaces: libgegl-0.0-doc
Build-Profiles: <!nodoc>
Description: Generic Graphics Library (documentation)
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGL's original design was made to scratch GIMP's itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains the documentation.

Package: gir1.2-gegl-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the Generic Graphics Library
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGL's original design was made to scratch GIMP's itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains introspection data for the library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

include /usr/share/dpkg/default.mk

ifeq ($(DEB_HOST_ARCH_OS), hurd)
	EXTRA_CONFIGURE_OPTIONS=-Dlibv4l=disabled -Dlibv4l2=disabled
else
	EXTRA_CONFIGURE_OPTIONS=
endif

# Upstream test timeouts assume an otherwise unloaded system, but that
# isn't necessarily the case for a porterbox or multiple parallel builds
test_timeout_multiplier = 3

ifneq ($(filter aarch64 arm% hppa mips% sparc%,$(DEB_HOST_ARCH_CPU)),)
# These architectures are typically slower, particularly for the sort of
# floating-point processing we're doing here
test_timeout_multiplier = 10
endif

ifneq ($(filter m68k riscv64 sh4,$(DEB_HOST_ARCH_CPU)),)
# These architectures are known to have qemu buildds, which are really slow
test_timeout_multiplier = 20
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Ddocs=true \
		-Djasper=disabled \
		-Dlua=disabled \
		-Dmrg=disabled \
		-Dpygobject=disabled \
		-Dsdl=disabled \
		$(EXTRA_CONFIGURE_OPTIONS)

# grey2.json appears to only be needed for distcheck according to git log
override_dh_missing:
	dh_missing -Xgrey2.json

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gegl-0.4/ -- -c4

override_dh_auto_test:
	dh_auto_test --no-parallel  #-- --timeout-multiplier $(test_timeout_multiplier)

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## gegl 0.4.26

=== meson_options.txt ===
option('docs',          type: 'boolean', value: 'false')
option('workshop',      type: 'boolean', value: 'false')
option('introspection', type: 'boolean', value: 'true')

option('exiv2',         type: 'feature', value: 'auto')
option('gdk-pixbuf',    type: 'feature', value: 'auto')
option('gexiv2',        type: 'feature', value: 'auto')
option('graphviz',      type: 'feature', value: 'auto')
option('jasper',        type: 'feature', value: 'auto')
option('lcms',          type: 'feature', value: 'auto')
option('lensfun',       type: 'feature', value: 'auto')
option('libav',         type: 'feature', value: 'auto')
option('libjpeg',       type: 'feature', value: 'auto')
option('libpng',        type: 'feature', value: 'auto')
option('libraw',        type: 'feature', value: 'auto')
option('librsvg',       type: 'feature', value: 'auto')
option('libspiro',      type: 'feature', value: 'auto')
option('libtiff',       type: 'feature', value: 'auto')
option('libv4l',        type: 'feature', value: 'auto')
option('libv4l2',       type: 'feature', value: 'auto')
option('lua',           type: 'feature', value: 'auto')
option('mrg',           type: 'feature', value: 'auto')
option('openexr',       type: 'feature', value: 'auto')
option('cairo',         type: 'feature', value: 'auto')
option('pango',         type: 'feature', value: 'auto')
option('pangocairo',    type: 'feature', value: 'auto')
option('poppler',       type: 'feature', value: 'auto')
option('pygobject',     type: 'feature', value: 'auto')
option('sdl1',          type: 'feature', value: 'disabled')
option('sdl2',          type: 'feature', value: 'auto')
option('umfpack',       type: 'feature', value: 'auto')
option('vapigen',       type: 'feature', value: 'auto')
option('webp',          type: 'feature', value: 'auto')

=== debian/changelog ===
gegl (1:0.4.26-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 06 Oct 2020 07:34:22 -0700

gegl (1:0.4.26-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - d/libgegl-0.4-0.symbols: Update
  * Add an epoch to the version number.
    This ensures that versions previously shipped by the deb-multimedia
    third-party apt repository are correctly superseded.
    - d/libgegl-0.4-0.symbols: Also add the epoch to all symbols introduced
      since the last known version of gegl before it was removed from the
      deb-multimedia repository.
    - d/source/lintian-overrides: Justify the epoch bump
    (Closes: #961993, #962093 and many older reports)
  * Add a superficial autopkgtest for the GIR data
  * Link with -Wl,-z,defs to detect any missing library dependencies

 -- Simon McVittie <smcv@debian.org>  Wed, 26 Aug 2020 11:02:13 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                graphviz,
@@ -51,8 +51,7 @@
 
 Package: gegl
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Generic Graphics Library Test Program
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.
@@ -68,9 +67,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgegl-common (>= ${source:Version})
+Depends: libgegl-common (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: libgegl-dev (<< 0.3.0-4)
 Replaces: libgegl-dev (<< 0.3.0-4)
 Description: Generic Graphics Library
@@ -141,8 +140,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for the Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-O1 -Wl,-z,defs
 
 include /usr/share/dpkg/default.mk
 
@@ -48,7 +48,7 @@
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gegl-0.4/ -- -c4
 
 override_dh_auto_test:
-	dh_auto_test --no-parallel  #-- --timeout-multiplier $(test_timeout_multiplier)
+	dh_auto_test --no-parallel -- --timeout-multiplier $(test_timeout_multiplier)
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## gegl 0.4.28

=== debian/changelog ===
gegl (1:0.4.28-3) unstable; urgency=medium

  [ Olivier Tilloy ]
  * Cherry-pick an upstream PR to fix build against glib 2.67.3
    - debian/patches/fix-build-new-glib.patch

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 17 Mar 2021 20:22:23 -0400

gegl (1:0.4.28-2) unstable; urgency=medium

  * debian/control.in: Use epoch for babl dependency (Closes: #985154)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 13 Mar 2021 15:53:15 -0500

gegl (1:0.4.28-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum babl to 0.1.84
  * debiabn/control.in: Bump minimum meson to 0.54.0
  * debian/control.in: Build-Depend on libmaxflow-dev

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 12 Mar 2021 18:37:16 -0500

gegl (1:0.4.26-2) unstable; urgency=medium

  * Team upload
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * Use secure URI in Homepage field
  * d/upstream/metadata: Add
  * d/copyright: Make Source consistent with d/watch
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Nov 2020 10:04:21 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: gegl
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -15,16 +14,17 @@
                gtk-doc-tools (>= 1.0),
                libavcodec-dev,
                libavformat-dev,
-               libbabl-dev (>= 0.1.78),
+               libbabl-dev (>= 1:0.1.84),
                libblas-dev,
                libcairo2-dev (>= 0.12.2),
-               libgdk-pixbuf2.0-dev (>= 2.18.0),
+               libgdk-pixbuf-2.0-dev (>= 2.18.0) | libgdk-pixbuf2.0-dev (>= 2.18.0),
                libgexiv2-dev,
                libgirepository1.0-dev (>= 1.32.0),
                libglib2.0-dev (>= 2.28.0),
                libjpeg-dev,
                libjson-glib-dev,
                liblensfun-dev,
+               libmaxflow-dev,
                libopenexr-dev (>= 1.6.1),
                libopenraw-dev (>= 0.0.5),
                libpango1.0-dev,
@@ -39,19 +39,20 @@
                libtiff5-dev,
                libv4l-dev [!hurd-any],
                libwebp-dev (>= 0.5.0),
-               meson (>= 0.50.0),
+               meson (>= 0.54.0),
                pkg-config,
                valac (>= 0.20)
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gegl
 Vcs-Git: https://salsa.debian.org/gnome-team/gegl.git
-Homepage: http://gegl.org/
+Homepage: https://gegl.org/
 
 Package: gegl
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Generic Graphics Library Test Program
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.
@@ -67,9 +68,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libgegl-common (>= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgegl-common (>= ${source:Version})
 Breaks: libgegl-dev (<< 0.3.0-4)
 Replaces: libgegl-dev (<< 0.3.0-4)
 Description: Generic Graphics Library
@@ -99,7 +100,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-gegl-0.4 (= ${binary:Version}),
-         libbabl-dev (>= 0.1.78),
+         libbabl-dev (>= 1:0.1.84),
          libgegl-0.4-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.1),
          libjson-glib-dev,
@@ -140,7 +141,8 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}
+Depends: ${gir:Depends},
+         ${misc:Depends}
 Description: GObject introspection data for the Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.

## gegl 0.4.30

=== debian/changelog ===
gegl (1:0.4.30-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add fix-spurious-meson-tap-test-failures.patch to fix test fails.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 10 Jun 2021 14:49:32 -0700

gegl (1:0.4.30-0focal2) focal; urgency=medium

  * Team upload
  * d/rules: Show testlog.txt if tests fail, like dh_auto_test does.
    This is a useful way to correlate tests' output with which tests
    failed.
  * Fix max-diff property name.
    GLib 2.64 validates property names more strictly, resulting in this
    not working as intended, with max_diff left uninitialized. It appears
    this caused test failures that were more likely to happen on mips*.
    (Closes: #954196)
  * Work around #954197.
    GLib has a long-standing bug in which a GFileMonitor that is freed
    without being explicitly cancelled first can result in a deadlock.
    Work around this by explicitly cancelling it.

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Wed, 18 Mar 2020 11:54:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,24 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gegl
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gir,
-               dh-sequence-gnome,
+Build-Depends: debhelper-compat (= 12),
+               gnome-pkg-tools,
+               gobject-introspection,
                graphviz,
                gtk-doc-tools (>= 1.0),
                libavcodec-dev,
                libavformat-dev,
-               libbabl-dev (>= 1:0.1.84),
+               libbabl-dev (>= 1:0.1.86),
                libblas-dev,
                libcairo2-dev (>= 0.12.2),
-               libgdk-pixbuf-2.0-dev (>= 2.18.0) | libgdk-pixbuf2.0-dev (>= 2.18.0),
+               libgdk-pixbuf2.0-dev (>= 2.18.0),
                libgexiv2-dev,
                libgirepository1.0-dev (>= 1.32.0),
                libglib2.0-dev (>= 2.28.0),
+               libgtk2.0-dev (>= 2.8.6),
                libjpeg-dev,
                libjson-glib-dev,
                liblensfun-dev,
@@ -29,30 +27,29 @@
                libopenraw-dev (>= 0.0.5),
                libpango1.0-dev,
                libpng-dev (>= 1.6.0),
-               libpoppler-glib-dev (>= 0.71.0),
+               libpoppler-glib-dev,
                libraw-dev,
                librsvg2-dev (>= 2.40.6),
                libsdl2-dev (>= 1.2.0),
-               libspiro-dev (>= 1:20190731-2~),
+               libspiro-dev,
                libsuitesparse-dev,
                libswscale-dev,
                libtiff5-dev,
                libv4l-dev [!hurd-any],
                libwebp-dev (>= 0.5.0),
-               meson (>= 0.54.0),
+               meson (>= 0.50.0),
                pkg-config,
                valac (>= 0.20)
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gegl
 Vcs-Git: https://salsa.debian.org/gnome-team/gegl.git
-Homepage: https://gegl.org/
+Homepage: http://gegl.org/
 
 Package: gegl
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Generic Graphics Library Test Program
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.
@@ -68,9 +65,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgegl-common (>= ${source:Version})
+Depends: libgegl-common (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: libgegl-dev (<< 0.3.0-4)
 Replaces: libgegl-dev (<< 0.3.0-4)
 Description: Generic Graphics Library
@@ -100,7 +97,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-gegl-0.4 (= ${binary:Version}),
-         libbabl-dev (>= 1:0.1.84),
+         libbabl-dev (>= 0.1.74),
          libgegl-0.4-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.1),
          libjson-glib-dev,
@@ -141,8 +138,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for the Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-O1 -Wl,-z,defs
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
 include /usr/share/dpkg/default.mk
 
@@ -42,13 +42,29 @@
 
 # grey2.json appears to only be needed for distcheck according to git log
 override_dh_missing:
-	dh_missing -Xgrey2.json
+	dh_missing --fail-missing -Xgrey2.json
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gegl-0.4/ -- -c4
 
 override_dh_auto_test:
-	dh_auto_test --no-parallel -- --timeout-multiplier $(test_timeout_multiplier)
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	if env \
+		LC_ALL=C.UTF-8 \
+		MESON_TESTTHREADS=1 \
+	meson test \
+		-C obj-$(DEB_HOST_GNU_TYPE) \
+		--no-rebuild \
+		--num-processes 1 \
+		--timeout-multiplier $(test_timeout_multiplier) \
+		--verbose \
+	; then \
+		:; \
+	else \
+		tail -v -n +0 obj-$(DEB_HOST_GNU_TYPE)/meson-logs/testlog.txt; \
+		exit 1; \
+	fi
+endif
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: libgegl-dev
Depends: build-essential, libgegl-dev, xauth, xvfb
Restrictions: allow-stderr superficial

## gegl 0.4.32

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
+# This file is autogenerated. DO NOT EDIT!
+#
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: gegl
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               gnome-pkg-tools,
-               gobject-introspection,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                graphviz,
-               gtk-doc-tools (>= 1.0),
                libavcodec-dev,
                libavformat-dev,
-               libbabl-dev (>= 1:0.1.86),
+               libbabl-dev (>= 1:0.1.84),
                libblas-dev,
                libcairo2-dev (>= 0.12.2),
-               libgdk-pixbuf2.0-dev (>= 2.18.0),
+               libgdk-pixbuf-2.0-dev (>= 2.18.0) | libgdk-pixbuf2.0-dev (>= 2.18.0),
                libgexiv2-dev,
                libgirepository1.0-dev (>= 1.32.0),
                libglib2.0-dev (>= 2.28.0),
-               libgtk2.0-dev (>= 2.8.6),
                libjpeg-dev,
                libjson-glib-dev,
                liblensfun-dev,
@@ -27,29 +29,31 @@
                libopenraw-dev (>= 0.0.5),
                libpango1.0-dev,
                libpng-dev (>= 1.6.0),
-               libpoppler-glib-dev,
+               libpoppler-glib-dev (>= 0.71.0),
                libraw-dev,
                librsvg2-dev (>= 2.40.6),
                libsdl2-dev (>= 1.2.0),
-               libspiro-dev,
+               libspiro-dev (>= 1:20190731-2~),
                libsuitesparse-dev,
                libswscale-dev,
                libtiff5-dev,
                libv4l-dev [!hurd-any],
                libwebp-dev (>= 0.5.0),
-               meson (>= 0.50.0),
+               meson (>= 0.54.0),
                pkg-config,
                valac (>= 0.20)
-Build-Depends-Indep: libglib2.0-doc <!nodoc>
+Build-Depends-Indep: gtk-doc-tools (>= 1.0) <!nodoc>,
+                     libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gegl
 Vcs-Git: https://salsa.debian.org/gnome-team/gegl.git
-Homepage: http://gegl.org/
+Homepage: https://gegl.org/
 
 Package: gegl
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Generic Graphics Library Test Program
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.
@@ -65,11 +69,12 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libgegl-common (>= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgegl-common (>= ${source:Version})
 Breaks: libgegl-dev (<< 0.3.0-4)
 Replaces: libgegl-dev (<< 0.3.0-4)
+Suggests: graphviz
 Description: Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.
@@ -97,7 +102,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-gegl-0.4 (= ${binary:Version}),
-         libbabl-dev (>= 0.1.74),
+         libbabl-dev (>= 1:0.1.84),
          libgegl-0.4-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.1),
          libjson-glib-dev,
@@ -138,7 +143,8 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}
+Depends: ${gir:Depends},
+         ${misc:Depends}
 Description: GObject introspection data for the Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.

=== debian/rules ===
#!/usr/bin/make -f

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-O1 -Wl,-z,defs

include /usr/share/dpkg/default.mk

ifeq ($(DEB_HOST_ARCH_OS), hurd)
	EXTRA_CONFIGURE_OPTIONS=-Dlibv4l=disabled -Dlibv4l2=disabled
else
	EXTRA_CONFIGURE_OPTIONS=
endif

ifeq ($(filter %-doc,$(built_binaries)),)
EXTRA_CONFIGURE_OPTIONS += -Dgtk-doc=false
else
EXTRA_CONFIGURE_OPTIONS += -Dgtk-doc=true
endif

# Upstream test timeouts assume an otherwise unloaded system, but that
# isn't necessarily the case for a porterbox or multiple parallel builds
test_timeout_multiplier = 3

ifneq ($(filter aarch64 arm% hppa mips% sparc%,$(DEB_HOST_ARCH_CPU)),)
# These architectures are typically slower, particularly for the sort of
# floating-point processing we're doing here
test_timeout_multiplier = 10
endif

ifneq ($(filter m68k riscv64 sh4,$(DEB_HOST_ARCH_CPU)),)
# These architectures are known to have qemu buildds, which are really slow
test_timeout_multiplier = 20
endif

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

# Remove this (and the corresponding entries in d/clean) if MR
# https://gitlab.gnome.org/GNOME/gegl/-/merge_requests/108 is applied
# in an upstream release
set-up-test-files:
	ln -f tests/compositions/reference/hdr-color.gegl tests/compositions/reference/hdr-color.little-endian.gegl
	ln -f tests/compositions/reference/rgb-params.gegl tests/compositions/reference/rgb-params.little-endian.gegl

override_dh_auto_configure: set-up-test-files
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Ddocs=true \
		-Djasper=disabled \
		-Dlua=disabled \
		-Dmrg=disabled \
		-Dpygobject=disabled \
		-Dsdl1=disabled \
		-Dsdl2=disabled \
		$(EXTRA_CONFIGURE_OPTIONS)

# These json files appear to only be needed for distcheck according to git log
override_dh_missing:
	dh_missing -Xgrey2.json -Xdropshadow2.json

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gegl-0.4/ -- -c4

override_dh_auto_test:
	dh_auto_test --no-parallel -- --timeout-multiplier $(test_timeout_multiplier)

## gegl 0.4.34

=== debian/changelog ===
gegl (1:0.4.34-1build1) jammy; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 21:57:50 -0500

gegl (1:0.4.34-1) unstable; urgency=high

  * New upstream release
    - Includes fix for CVE-2021-45463 (Closes: #1002661)
  * Drop all patches: applied in new release
  * Drop debian/rules & debian/clean workaround for endian issue fixed in
    new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 26 Dec 2021 17:43:33 -0500

gegl (1:0.4.32-2) unstable; urgency=medium

  * Team upload
  * d/p/docs-Don-t-scan-ctx.h-with-gtk-doc.patch:
    Mark patch as applied upstream
  * d/rules: Update name of Meson option for SDL display.
    This was intended to be disabled, but we were using an old name for the
    option, which is an error with Meson 0.60.0. (Closes: #997938)

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Oct 2021 10:19:40 +0100

gegl (1:0.4.32-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/p/tests-Use-endiannness-dependent-reference-GEGL-buffers.patch,
    d/rules, d/clean:
    Avoid trying to load little-endian GEGL buffers on BE architectures
    (Closes: #991300)
  * d/lbgegl-0.4-0.docs: Adjust name of NEWS.adoc
  * d/rules: Enable gtk-doc if necessary
  * d/control.in: Don't depend on gtk-doc-tools under nodoc profile
  * d/libgegl-0.4-0.symbols: Mark private symbols as optional
  * d/p/docs-Don-t-scan-ctx.h-with-gtk-doc.patch:
    Add proposed patch fixing FTBFS with current gtk-doc
  * d/libgegl-doc.docs: Install asciidoc source instead of HTML.
    HTML is no longer provided in the tarball release.

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Sep 2021 13:10:11 +0100

gegl (1:0.4.30-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop fix-build-new-glib.patch: Applied in new release

  [ Laurent Bigonville ]
  * debian/control.in: Suggest the graphviz package
    gegl now needs the "dot" executable for some optional features
    (Closes: #985566)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Jul 2021 13:47:03 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: gegl
 Section: devel
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,

=== debian/rules ===
--- 
+++ 
@@ -37,17 +37,7 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
-# Remove this (and the corresponding entries in d/clean) if MR
-# https://gitlab.gnome.org/GNOME/gegl/-/merge_requests/108 is applied
-# in an upstream release
-set-up-test-files:
-	ln -f tests/compositions/reference/hdr-color.gegl tests/compositions/reference/hdr-color.little-endian.gegl
-	ln -f tests/compositions/reference/rgb-params.gegl tests/compositions/reference/rgb-params.little-endian.gegl
-
-override_dh_auto_configure: set-up-test-files
+override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dauto_features=enabled \
 		-Ddocs=true \

## gegl 0.4.36

=== debian/changelog ===
gegl (1:0.4.36-3.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 25 Jun 2022 13:24:51 -0700

gegl (1:0.4.36-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Apply upstream patches to fix build with ffmpeg 5.0
    (Closes: #1004771)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 23 Jun 2022 19:06:53 +0200

gegl (1:0.4.36-3) unstable; urgency=medium

  * debian/libgegl-0.4-0.symbols: Add optional symbols for armel/armhf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 Mar 2022 13:03:00 -0400

gegl (1:0.4.36-2) unstable; urgency=medium

  * debian/libgegl-0.4-0.symbols: Mark some symbols as amd64/x32 only

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 Mar 2022 11:29:53 -0400

gegl (1:0.4.36-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum babl to 0.1.90
  * debian/libgegl-0.4-0.symbols: Update

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Mar 2022 17:49:05 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gegl
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -13,7 +14,7 @@
                graphviz,
                libavcodec-dev,
                libavformat-dev,
-               libbabl-dev (>= 1:0.1.84),
+               libbabl-dev (>= 1:0.1.90),
                libblas-dev,
                libcairo2-dev (>= 0.12.2),
                libgdk-pixbuf-2.0-dev (>= 2.18.0) | libgdk-pixbuf2.0-dev (>= 2.18.0),
@@ -41,8 +42,7 @@
                meson (>= 0.54.0),
                pkg-config,
                valac (>= 0.20)
-Build-Depends-Indep: gtk-doc-tools (>= 1.0) <!nodoc>,
-                     libglib2.0-doc <!nodoc>
+Build-Depends-Indep: gtk-doc-tools (>= 1.0) <!nodoc>, libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gegl
@@ -51,8 +51,7 @@
 
 Package: gegl
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Generic Graphics Library Test Program
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.
@@ -68,9 +67,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgegl-common (>= ${source:Version})
+Depends: libgegl-common (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: libgegl-dev (<< 0.3.0-4)
 Replaces: libgegl-dev (<< 0.3.0-4)
 Suggests: graphviz
@@ -101,7 +100,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-gegl-0.4 (= ${binary:Version}),
-         libbabl-dev (>= 1:0.1.84),
+         libbabl-dev (>= 1:0.1.90),
          libgegl-0.4-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.1),
          libjson-glib-dev,
@@ -142,8 +141,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for the Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.

=== debian/rules ===
--- 
+++ 
@@ -58,3 +58,6 @@
 
 override_dh_auto_test:
 	dh_auto_test --no-parallel -- --timeout-multiplier $(test_timeout_multiplier)
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## gegl 0.4.38

=== debian/changelog ===
gegl (1:0.4.38-1build1) kinetic; urgency=medium

  * No-change rebuild against libopenexr3-1-30

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 Aug 2022 04:01:30 +0000

gegl (1:0.4.38-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 14:17:44 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Source: gegl
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -42,7 +42,8 @@
                meson (>= 0.54.0),
                pkg-config,
                valac (>= 0.20)
-Build-Depends-Indep: gtk-doc-tools (>= 1.0) <!nodoc>, libglib2.0-doc <!nodoc>
+Build-Depends-Indep: gtk-doc-tools (>= 1.0) <!nodoc>,
+                     libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gegl
@@ -51,7 +52,8 @@
 
 Package: gegl
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Generic Graphics Library Test Program
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.
@@ -67,9 +69,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libgegl-common (>= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgegl-common (>= ${source:Version})
 Breaks: libgegl-dev (<< 0.3.0-4)
 Replaces: libgegl-dev (<< 0.3.0-4)
 Suggests: graphviz
@@ -141,7 +143,8 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}
+Depends: ${gir:Depends},
+         ${misc:Depends}
 Description: GObject introspection data for the Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.

## gegl 0.4.40

=== debian/changelog ===
gegl (1:0.4.40-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on asciidoc-base
  * Revert "d/libgegl-doc.docs: Install asciidoc source instead of HTML"

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Nov 2022 12:34:53 -0500

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Source: gegl
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               asciidoc-base,
                dh-sequence-gir,
                dh-sequence-gnome,
                graphviz,

## gegl 0.4.42

=== meson_options.txt ===
# Optional features
option('docs',
  type: 'combo',
  choices: ['auto', 'true', 'false'],
  value: 'auto',
  description: 'build documentation'
)
option('gtk-doc',
  type: 'boolean',
  value: 'false',
  description: 'build gtk-doc reference',
)
option('workshop',
  type: 'boolean',
  value: 'false',
  description: 'build experimental operations'
)
option('introspection',
  type: 'combo',
  choices: ['auto', 'true', 'false'],
  value: 'auto',
  description: 'gobject introspection .gir generation'
)
option('vapigen',
  type: 'feature',
  value: 'auto',
  description: 'Vala .vapi generation - depends on introspection'
)
# Build settings
option('parallel-tests',
  type: 'boolean',
  value: 'true',
  description: 'run tests in parallel or sequentially'
)

option('operation-test',
  type: 'boolean',
  value: 'false',
  description: 'include gegl-tester in test suite'
)

# optional dependencies
option('gdk-pixbuf',    type: 'feature', value: 'auto')
option('gexiv2',        type: 'feature', value: 'auto')
option('graphviz',      type: 'feature', value: 'auto')
option('jasper',        type: 'feature', value: 'auto')
option('lcms',          type: 'feature', value: 'auto')
option('lensfun',       type: 'feature', value: 'auto')
option('libav',         type: 'feature', value: 'auto')
option('libraw',        type: 'feature', value: 'auto')
option('librsvg',       type: 'feature', value: 'auto')
option('libspiro',      type: 'feature', value: 'auto')
option('libtiff',       type: 'feature', value: 'auto')
option('libv4l',        type: 'feature', value: 'auto')
option('libv4l2',       type: 'feature', value: 'auto')
option('lua',           type: 'feature', value: 'auto')
option('mrg',           type: 'feature', value: 'auto')
option('maxflow',       type: 'feature', value: 'auto')
option('openexr',       type: 'feature', value: 'auto')
option('openmp',        type: 'feature', value: 'auto')
option('cairo',         type: 'feature', value: 'auto')
option('pango',         type: 'feature', value: 'auto')
option('pangocairo',    type: 'feature', value: 'auto')
option('poppler',       type: 'feature', value: 'auto')
option('pygobject',     type: 'feature', value: 'auto')
option('sdl1',          type: 'feature', value: 'disabled')
option('sdl2',          type: 'feature', value: 'auto')
option('umfpack',       type: 'feature', value: 'auto')
option('webp',          type: 'feature', value: 'auto')

# obsolete - no effect
option('exiv2',         type: 'feature', value: 'disabled')
option('libpng',        type: 'feature', value: 'disabled')
option('libjpeg',       type: 'feature', value: 'disabled')

=== debian/changelog ===
gegl (1:0.4.42-2+deb12u1) bookworm-security; urgency=medium

  * CVE-2025-10921 (Closes: #1116470)

 -- Moritz Mühlenhoff <jmm@debian.org>  Sun, 28 Sep 2025 16:50:01 +0200

gegl (1:0.4.42-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 24 Feb 2023 07:52:59 -0500

gegl (1:0.4.42-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 18:57:01 -0500

gegl (1:0.4.40-2) unstable; urgency=high

  [ Simon McVittie ]
  * d/control.in: Drop compatibility with old libgdk-pixbuf2.0-dev package

  [ Jeremy Bicha ]
  * debian/control.in: Move asciidoc-base to Build-Depends-Indep
  * Update standards version to 4.6.2, no changes needed

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2023 12:57:58 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               asciidoc-base,
                dh-sequence-gir,
                dh-sequence-gnome,
                graphviz,
@@ -17,7 +16,7 @@
                libbabl-dev (>= 1:0.1.90),
                libblas-dev,
                libcairo2-dev (>= 0.12.2),
-               libgdk-pixbuf-2.0-dev (>= 2.18.0) | libgdk-pixbuf2.0-dev (>= 2.18.0),
+               libgdk-pixbuf-2.0-dev (>= 2.18.0),
                libgexiv2-dev,
                libgirepository1.0-dev (>= 1.32.0),
                libglib2.0-dev (>= 2.28.0),
@@ -36,16 +35,17 @@
                libspiro-dev (>= 1:20190731-2~),
                libsuitesparse-dev,
                libswscale-dev,
-               libtiff5-dev,
+               libtiff-dev (>= 4.0.10-1),
                libv4l-dev [!hurd-any],
                libwebp-dev (>= 0.5.0),
                meson (>= 0.54.0),
                pkg-config,
                valac (>= 0.20)
-Build-Depends-Indep: gtk-doc-tools (>= 1.0) <!nodoc>,
+Build-Depends-Indep: asciidoc-base <!nodoc>,
+                     gtk-doc-tools (>= 1.0) <!nodoc>,
                      libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gegl
 Vcs-Git: https://salsa.debian.org/gnome-team/gegl.git
 Homepage: https://gegl.org/
@@ -72,8 +72,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgegl-common (>= ${source:Version})
-Breaks: libgegl-dev (<< 0.3.0-4)
-Replaces: libgegl-dev (<< 0.3.0-4)
 Suggests: graphviz
 Description: Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing

## gegl 0.4.44

=== debian/changelog ===
gegl (1:0.4.44-3ubuntu1) mantic; urgency=medium

  * Backport from 1:0.4.46-3:
  [ Jeremy Bícha ]
  * Disable libav feature that isn't used yet & crashes with ffmpeg 6
    (Closes: #1041382)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Sep 2023 22:09:40 +0000

gegl (1:0.4.44-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 13:09:52 -0400

gegl (1:0.4.44-2) experimental; urgency=medium

  * debian/control.in: Bump minimum babl to 0.1.99 for babl-0.1.pc rename

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 May 2023 11:52:36 -0400

gegl (1:0.4.44-1) experimental; urgency=medium

  * New upstream release
    - Fix invalid free triggered with glib 2.76

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 02 Apr 2023 12:34:30 -0400

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Source: gegl
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                graphviz,
-               libavcodec-dev,
                libavformat-dev,
-               libbabl-dev (>= 1:0.1.90),
+               libbabl-dev (>= 1:0.1.99),
                libblas-dev,
                libcairo2-dev (>= 0.12.2),
                libgdk-pixbuf-2.0-dev (>= 2.18.0),
@@ -35,7 +35,7 @@
                libspiro-dev (>= 1:20190731-2~),
                libsuitesparse-dev,
                libswscale-dev,
-               libtiff-dev (>= 4.0.10-1),
+               libtiff-dev,
                libv4l-dev [!hurd-any],
                libwebp-dev (>= 0.5.0),
                meson (>= 0.54.0),
@@ -100,7 +100,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-gegl-0.4 (= ${binary:Version}),
-         libbabl-dev (>= 1:0.1.90),
+         libbabl-dev (>= 1:0.1.99),
          libgegl-0.4-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.1),
          libjson-glib-dev,
